# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Simple platform independent mailer
Name:		perl-Mail-Sendmail
Version:	0.80
Release:	1.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Mail-Sendmail/
Source0:	http://search.cpan.org/CPAN/authors/id/N/NE/NEILB/Mail-Sendmail-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Digest::MD5)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(MIME::QuotedPrint)
BuildRequires:	perl(parent)
BuildRequires:	perl(Socket)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sys::Hostname)
BuildRequires:	perl(Time::Local)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
# (no additional dependencies)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Not strictly required, but works much better with these:
Requires:	perl(Digest::MD5)
Requires:	perl(MIME::Base64)
Requires:	perl(MIME::QuotedPrint)

%description
Simple platform independent e-mail from your perl script. Only requires Perl 5
and a network connection.

Mail::Sendmail contains mainly &sendmail, which takes a hash with the message
to send and sends it. It is intended to be very easy to set up and use.

%prep
%setup -q -n Mail-Sendmail-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README Todo
%{perl_vendorlib}/Mail/Sendmail.pm
%{_mandir}/man3/Mail::Sendmail.3*

%changelog
* Mon Aug 21 2017 Paul Howarth <paul@city-fan.org> - 0.80-1
- Update to 0.80
  - Experimental SMTP AUTH support (LOGIN PLAIN CRAM-MD5 DIGEST-MD5)
  - Fix bug where one refused RCPT TO: would abort everything
  - Send EHLO and parse response (for later AUTH implementation)
  - Better handling of multi-line responses, and better error-messages
  - Also normalize line endings in headers
  - Now keeps the Sender header if it was used; previous versions only used it
    for the MAIL FROM: command and deleted it
  - No space between "MAIL FROM:" or "RCPT TO:" and address
  - NEILB got co-maint to do a release that includes META.yml and META.json
  - Switched to Dist::Zilla
  - Added COPYRIGHT section to pod
  - Fixed the NAME section in pod to follow expected format
  - Added "use warnings" and fixed all the warnings
  - Manually set $VERSION, as it's used in the code
- This release by NEILB → update source URL
- License now GPL+ or Artistic
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Fri Sep  2 2016 Paul Howarth <paul@city-fan.org> - 0.79-29
- Classify buildreqs by usage
- Simplify find command using -delete
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul 10 2012 Paul Howarth <paul@city-fan.org> - 0.79-19
- Perl 5.16 rebuild

* Fri Jun  8 2012 Paul Howarth <paul@city-fan.org> - 0.79-10
- BR: perl(Exporter), perl(MIME::QuotedPrint), perl(Socket) and
  perl(Time::Local)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 0.79-9
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.79-8
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 13 2010 Paul Howarth <paul@city-fan.org> - 0.79-7
- Fix dist tag for RHEL-6 Beta

* Fri Feb 26 2010 Paul Howarth <paul@city-fan.org> - 0.79-6
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep 15 2009 Paul Howarth <paul@city-fan.org> - 0.79-5
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> - 0.79-4
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as Copyright only

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 0.79-3
- Fix dist tag for development releases and Fedora 7 onwards
- Remove unused %%{perl_vendorarch} macro, not used in noarch package
- Don't bother setting compiler optimization flags in noarch package
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- BuildRequire perl(ExtUtils::MakeMaker)
- Define %%{__id_u} in a more portable way

* Wed May 25 2005 Paul Howarth <paul@city-fan.org> - 0.79-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> - 0.79-1
- Initial build
